SGE_EXECD(8)

NAME
sge_execd - Grid Engine Enterprise Edition job execution agent

SYNOPSIS
sge_execd [ -help ] [ -lj log_file ] [ -nostart-commd ]

DESCRIPTION

sge_execd controls the Grid Engine Enterprise Edition queues local to the machine sge_execd is running on and executes/controls the jobs sent from to be run on these queues.
Together with sge_execd a is brought up automatically on the same machine (if not already present).

OPTIONS

  -help
Prints a listing of all options.

  -lj log_file
Enables job logging. All actions taken by sge_execd from receiving the job until returning it to are logged to the log_file. This feature is also available with the daemon.

  -nostart-commd
Do not start up automatically with sge_execd and evaluate the COMMD_HOST environment variable to find the corresponding

LOAD SENSORS
If a load sensor is configured for sge_execd via either the global or the execution host specific cluster configuration (see the executable path of the load sensor is invoked by sge_execd on a regular basis and delivers one or multiple load figures for the execution host (e.g. users currently logged in) or on the complete cluster (e.g. free disk space on a network wide scratch file system). The load sensor may be a script or a binary executable. In either case its handling of the STDIN and STDOUT stream and its control flow must comply to the following rules:

The load sensor has to be written as infinite loop waiting at a certain point for input from STDIN. If the string quit is read from STDIN, the load sensor is supposed to exit. As soon as an end-of-line is read from STDIN a load data retrieval cycle is supposed to start. The load sensor then performs whatever operation is necessary to compute the desired load figures. At the end of the cycle the load sensor writes the result to stdout. The format is as follows:

•   A load value report starts with a line containing nothing but the word start.

•   Individual load values are separated by newlines.

•   Each load value report consists of three parts separated by colons (":") and containing no blanks.

•   The first part of a load value information is either the name of the host for which load is reported or the special name "global".

•   The second part is the symbolic name of the load value as defined in the host or global complex list (see for details). If a load value is reported for which no entry in the host or global complex list exists, the reported load value is not used.

•   The third part is the measured load value.

•   A load value report ends with a line with the word end.

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Grid Engine Enterprise Edition standard configuration files.

SGE_CELL
    If set, specifies the default Grid Engine Enterprise Edition cell. To address a Grid Engine Enterprise Edition cell sge_execd uses (in the order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

COMMD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

COMMD_HOST
    If set, specifies the host on which the particular to be used for Grid Engine Enterprise Edition communication of the sge_execd client resides. Only evaluated if the -nostart-commd option was specified at the sge_execd command-line. Per default the local host is used.

RESTRICTIONS
sge_execd usually is started from root on each machine in the Grid Engine Enterprise Edition pool. If started by a normal user, a spool directory must be used to which the user has read/write access. In this case only jobs being submitted by that same user are treated correctly by the system.

FILES
<sge_root>/<cell>/common/configuration
	Grid Engine Enterprise Edition global configuration
<sge_root>/<cell>/common/local_conf/<host>
	Grid Engine Enterprise Edition host specific configuration
<sge_root>/<cell>/spool/<host>
	Default execution host spool directory
<sge_root>/<cell>/common/act_qmaster
	Grid Engine Enterprise Edition master host file

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.